import { Http } from '../../http/http';
export declare class HttpService extends Http {
    private _type;
    constructor(enforcer: any);
    get(url: string, options?: any): any;
    put(url: string, object: any, options: any): void;
    post(url: string, object: any, options: any): void;
    delete(url: string, object: any, options: any): void;
    static readonly instance: any;
    type: string;
}
